/*!
 * \brief
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CAENPKSDEF_H
#define CAENPKSDEF_H

#include "common/base/BaseTypes.h"

namespace caen_pks {

#define PKS_FIRMWARE_REG 		0X1000
#define PKS_BIT2SET_REG 		0X1032
#define PKS_BIT2CLR_REG 		0X1034
#define PKS_VERSION_REG 		0X8032
#define PKS_BOARD_ID_MSB_REG 	0X8036
#define PKS_BOARD_ID_REG 		0X803A
#define PKS_BOARD_ID_LSB_REG	0X803E
#define PKS_THRESHOLD_REG 		0X1080
#define PKS_CHANNEL_INCREMENT 	0X0002

}

#endif // CAENPKSDEF_H
