/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef REALSTEREOFLUXGATEDRIVER_H
#define REALSTEREOFLUXGATEDRIVER_H

#include "StereoFluxgateState.h"
#include "nEDM_Mag_API.h"

namespace stereo_fluxgate {

class StereoFluxgateDriver;

/**
 * Real implementation
 */
class RealStereoFluxgateDriver: public StereoFluxgateState {

public:

	/**
	 * Constructor.
	 *
	 * @param Link to the class which used the state
	 */
	RealStereoFluxgateDriver(StereoFluxgateDriver* owner);

	/**
	 * Destructor.
	 * Empty.
	 */
	virtual ~RealStereoFluxgateDriver();

	/**
	 * Perform a init.
	 */
	virtual void init();
	virtual void readFieldValues();

private:

	TnEDM_Mag_API Mag_API;


};

}
#endif //REALSTEREOFLUXGATEDRIVER_H
